DefaultDisplayFormManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class DefaultDisplayFormManager

- java.lang.Object
- - hlt.language.design.backend.DefaultDisplayFormManager

- All Implemented Interfaces:
    DisplayFormManager

      public class DefaultDisplayFormManager
      extends java.lang.Object
      implements DisplayFormManager

  This class defines methods that format runtime values according to their types to enable them to be legibly displayed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDisplayFormManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayFormManager` | `clearTags()`
    `java.lang.String` | `displayVoid()`
    `java.lang.String` | `quotedDisplayForm(double x)`
    `java.lang.String` | `quotedDisplayForm(int n, Type type)`
    `java.lang.String` | `quotedDisplayForm(java.lang.Object o, Type type)`
    `java.lang.String` | `typedDisplayForm(double x)`
    `java.lang.String` | `typedDisplayForm(int n, Type type)`
    `java.lang.String` | `typedDisplayForm(java.lang.Object o, Type type)`
    `java.lang.String` | `unquotedDisplayForm(double x)`
    `java.lang.String` | `unquotedDisplayForm(int n, Type type)`
    `java.lang.String` | `unquotedDisplayForm(java.lang.Object o, Type type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDisplayFormManager

          public DefaultDisplayFormManager()

  - ### Method Detail

    - #### displayVoid

          public java.lang.String displayVoid()

      Specified by:
        `displayVoid` in interface `DisplayFormManager`

    - #### typedDisplayForm

          public java.lang.String typedDisplayForm(int n,
                                          Type type)

      Specified by:
        `typedDisplayForm` in interface `DisplayFormManager`

    - #### typedDisplayForm

          public java.lang.String typedDisplayForm(double x)

      Specified by:
        `typedDisplayForm` in interface `DisplayFormManager`

    - #### typedDisplayForm

          public java.lang.String typedDisplayForm(java.lang.Object o,
                                          Type type)

      Specified by:
        `typedDisplayForm` in interface `DisplayFormManager`

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(int n,
                                           Type type)

      Specified by:
        `quotedDisplayForm` in interface `DisplayFormManager`

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(int n,
                                             Type type)

      Specified by:
        `unquotedDisplayForm` in interface `DisplayFormManager`

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(double x)

      Specified by:
        `quotedDisplayForm` in interface `DisplayFormManager`

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(double x)

      Specified by:
        `unquotedDisplayForm` in interface `DisplayFormManager`

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(java.lang.Object o,
                                             Type type)

      Specified by:
        `unquotedDisplayForm` in interface `DisplayFormManager`

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(java.lang.Object o,
                                           Type type)

      Specified by:
        `quotedDisplayForm` in interface `DisplayFormManager`

    - #### clearTags

          public DisplayFormManager clearTags()

      Specified by:
        `clearTags` in interface `DisplayFormManager`